<div class="card">
    <div class="card-header">
        <div class="card-header-title font-size-lg text-capitalize font-weight-normal">
            Cuentas por Cobrar <strong>{{ noFolio }}</strong>
        </div>
        <div class="btn-actions-pane-right" *ngIf="showGrid">
            <button class="btn btn-primary py-2 px-4" (click)="nuevo()" [disabled]="consulta">
                <i class="fa fa-plus mr-2"></i>Nuevo
            </button>
        </div>
    </div>
    <div class="card-body">
        <kendo-grid [data]="gridData" [selectable]="true" [reorderable]="true" [resizable]="true"
            (selectionChange)="selectRow($event)" style="height:50vh;" *ngIf="showGrid">
            <ng-container *ngIf="gridData.length !== 0">
                <kendo-grid-column field="htfolio" title="Cuenta" width="120"></kendo-grid-column>
                <kendo-grid-column field="hfp" title="F.P." width="120"></kendo-grid-column>
                <kendo-grid-column field="hdfp" title="Descripción"></kendo-grid-column>
                <kendo-grid-column field="hcxc" title="C x C" width="120"></kendo-grid-column>
                <kendo-grid-command-column width="150" *ngIf="!consulta">
                    <ng-template kendoGridCellTemplate let-dataItem>
                        <button class="btn btn-danger" (click)="eliminar(dataItem)">
                            <i class="fas fa-trash"></i> Eliminar
                        </button>
                    </ng-template>
                </kendo-grid-command-column>
            </ng-container>
            <ng-template kendoGridNoRecordsTemplate>
                No hay resultados para mostrar.
            </ng-template>
        </kendo-grid>
        <!-- Formulario para grabar y editar requerimientos -->
        <div class="container animated fadeIn" *ngIf="formReq">
            <form (ngSubmit)="guardarCxC(formReq.value)" #formReq="ngForm">
                <div class="row">
                    <div class="form-group col-6 col-lg-3">
                        <label for="tcuenta">Cuenta</label>
                        <kendo-combobox [data]="dsCuentas" [textField]="'tcuenta'" [valueField]="'tcuenta'"
                            [valuePrimitive]="true" name="tcuenta" [(ngModel)]="tcuenta" [disabled]="readOnly"
                            class="w-100" required>
                        </kendo-combobox>
                    </div>
                    <div class="form-group col-6 col-lg-3">
                        <label for="hcxc">C x C</label>
                        <kendo-combobox [data]="dsCxc" [textField]="'hdesc'" [valueField]="'hcxc'"
                            [valuePrimitive]="true" name="hcxc" [(ngModel)]="hcxc" [disabled]="readOnly" class="w-100"
                            required>
                        </kendo-combobox>
                    </div>
                    <div class="form-group col-md-12 col-lg-6">
                        <label for="Codigo">Forma de Pago</label>
                        <kendo-combobox [data]="dsCodigos" [textField]="'cdesc'" [valueField]="'Codigo'"
                            [valuePrimitive]="true" name="Codigo" [(ngModel)]="Codigo" [disabled]="readOnly"
                            class="w-100" required>
                        </kendo-combobox>
                    </div>
                    <div class="form-group col-md-12">
                        <label>Descripción</label>
                        <textarea name="hdfp" [(ngModel)]="hdfp" class="form-control" rows="2" [disabled]="readOnly"
                            required></textarea>
                    </div>
                    <hr>
                </div>
                <div class="d-flex justify-content-center">
                    <button type="submit" class="btn btn-success py-2 px-4" [disabled]="!formReq.valid"
                        *ngIf="!readOnly">
                        <i class="fa fa-save mr-2"></i>Guardar
                    </button>
                    <button class="btn btn-secondary py-2 px-4 ml-1" (click)="regresar()">Regresar</button>
                </div>
            </form>
        </div>
    </div>
</div>